ListOptions

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.core
Class ListOptions

    java.lang.Object
      weka.core.ListOptions

All Implemented Interfaces:
  OptionHandler, RevisionHandler

    public class ListOptions

extends java.lang.Object
implements OptionHandler, RevisionHandler

Lists the options of an OptionHandler

Version:
  $Revision: 1.2 $
Author:
  fracpete (fracpete at waikato dot ac dot nz)

Constructor Summary
`ListOptions()`

Method Summary
`java.lang.String` | `generate()` generates the options string.
`java.lang.String` | `generateHelp()` generates a string to print as help on the console
`java.lang.String` | `getClassname()` returns the current classname
`java.lang.String[]` | `getOptions()` Gets the current settings of this object.
`java.lang.String` | `getRevision()` Returns the revision string.
`java.util.Enumeration` | `listOptions()` Returns an enumeration describing the available options.
`static void` | `main(java.lang.String[] options)` runs the javadoc producer with the given commandline options
`void` | `setClassname(java.lang.String value)` sets the classname of the class to generate the Javadoc for
`void` | `setOptions(java.lang.String[] options)` Parses a given list of options.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListOptions

    public ListOptions()

Method Detail

### listOptions

    public java.util.Enumeration listOptions()

  Returns an enumeration describing the available options.

  Specified by:
    `listOptions` in interface `OptionHandler`
  Returns:
    an enumeration of all the available options.

### setOptions

    public void setOptions(java.lang.String[] options)
                    throws java.lang.Exception

  Parses a given list of options.

  Specified by:
    `setOptions` in interface `OptionHandler`
  Parameters:
    `options` - the list of options as an array of strings
  Throws:
    `java.lang.Exception` - if an option is not supported

### getOptions

    public java.lang.String[] getOptions()

  Gets the current settings of this object.

  Specified by:
    `getOptions` in interface `OptionHandler`
  Returns:
    an array of strings suitable for passing to setOptions

### setClassname

    public void setClassname(java.lang.String value)

  sets the classname of the class to generate the Javadoc for

  Parameters:
    `value` - the new classname

### getClassname

    public java.lang.String getClassname()

  returns the current classname

  Returns:
    the current classname

### generateHelp

    public java.lang.String generateHelp()

  generates a string to print as help on the console

  Returns:
    the generated help

### generate

    public java.lang.String generate()
                              throws java.lang.Exception

  generates the options string.

  Returns:
    the options string
  Throws:
    `java.lang.Exception` - in case the generation fails

### getRevision

    public java.lang.String getRevision()

  Returns the revision string.

  Specified by:
    `getRevision` in interface `RevisionHandler`
  Returns:
    the revision

### main

    public static void main(java.lang.String[] options)

  runs the javadoc producer with the given commandline options

  Parameters:
    `options` - the commandline options

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD